<?php 
if( !defined("WHMCS") ) 
{
    exit( "Access denied." );
}

if( !defined("ROOTDIR") ) 
{
    define("ROOTDIR", dirname(dirname(dirname(dirname(__DIR__)))));
}

require_once(realpath(ROOTDIR . "/init.php"));
spl_autoload_register(function($className)
{
    $className = explode("\\", $className);
    if( $className[2] == "License" ) 
    {
        $fileName = $className[1] . ".Apps.class.php";
    }
    else
    {
        if( $className[2] == "GuzzleHttp" || $className[2] == "Psr" ) 
        {
            $fileName = "vendor/Guzzle/autoloader.php";
        }
        else
        {
            $fileName = $className[1] . "." . $className[2] . ".class.php";
        }

    }

    $filePath = realpath(__DIR__ . "/" . $fileName);
    if( is_file($filePath) ) 
    {
        include_once($filePath);
    }

}

);
?>