<?php
$RENEWAL_LANG = [
	'addonsName' => 'Renewal Management',
	'errorTips' => [
		'canNotGetUid' => 'Unable to get user ID',
		'canNotGetSid' => 'The product ID was not passed in. Please confirm whether the product is valid or not.',
		'canNotGetBillingCycle' => 'Billing cycle not passed in',
		'canNotFindProduct' => 'Your product could not be found. Please confirm whether the product is valid or not.',
		'invoiceUnpaid' => 'There are still unpaid invoices for the current service. Please pay it before renew',
		'CanNotRenewWithThisBillingCycle' => 'This billing cycle is not allow to renew',
		'WithOutParam' => 'Missing parameters, please refresh the web page and try again.',
		'AutoCancleInvoiceFailed' => 'Failure to auto cancel unpaid invoices',
		'canNotGetNewPrice' => 'Unable to get new price',
		'canNotGetProductInfo' => 'Unable to get product information',
		'canNotReductPrice' => 'Failed to restore renewal price',
		'errorCreateInvoice' => 'Failed to create renewal order',
		'errorCreateInvoiceAfterTry' => 'Failed to create renewal order. your service may not support renewal',
		'canNotFindInvoiceInfo' => 'Unable to get invoices information',
		'canNotEditInvoice' => 'Unable to edit invoices price',
	],
	'PromoCode' => [
		'error' => [
			'canNotFindPromo' => 'The promotion code was not found.',
			'canNotRenewThisPrice' => 'The promotion code is not allowed for current renewal price',
			'PromoaAtivityNotStart' => 'The current promotion campaign has not yet started.',
			'PromoaAtivityEnd' => 'The current promotion campaign has ended',
			'AchieveMaxUse' => 'The current promotion code has reached the maximum number of uses',
			'useOneTime' => 'The current promotion code can only be used once.',
			'thisProductCanNotUse' => 'This promotion code does not apply to the current product.',
			'thisBillingCycleCanNotUse' => 'This promotion code does not apply to the current payment period.',
			'needAnotherProduct' => 'You need to have the specified product before you can participate in this special event.',
			'errorPromoType' => 'This type of promotion code is not supported for the time being.',
			'canNotUsePromoWhenMulti' => 'Promotion codes are not allowed for multiple renewals',
		],
		'tips' => [
			'PromoCode' => 'Promo Code',
			'discount' => 'discount',
			'oneTimeDiscount' => 'One Time discount',
		],
	],
	'MultiRenew' => 'Multiple renew',
	'PriceChangeTips' => 'The <strong>renewal price</strong> of the current default payment cycle of this product is different from its <strong>new purchase price</strong>. If you modify the payment cycle, the renewal price will be calculated according to its <strong>new purchase price</strong> (including using the discount code). Once the renewal bill is generated, it will not be able to recover to the current renewal price.',

	'home' => [
		'numberOfProduct' => ['A total of', 'services were found'],
		'productName' => 'Product Name',
		'domain' => 'Domain',
		'billingcycle' => 'Billing Cycle',
		'amount' => 'Pricing',
		'leftduedate' => ['Due in ', ' days'],
		'overdue' => ['The product is', 'days overdue'],
		'operation' => 'Operation',
		'renew' => 'Renew',
		'canNotFindProduct' => 'Unable to find products that can be renewed',
		'returnClientArea' => 'Return to client area',
	],

	'renewal' => [
		'productDesc' => 'Product Information',
		'productName' => 'Product Name:',
		'billingcycle' => 'Billing Cycle:',
		'amount' => 'Renewal Pricing:',
		'nextduedate' => 'Next Due Date:',
		'chooseBillingCycle' => 'Choose Billing Cycle:',
		'settingRenewTimes' => 'Set the number of renewal:',
		'PromoCode' => 'Promo Code:',
		'enterPromoTips' => 'If you have a promo code, please enter',
		'applyPromoCode' => 'Apply',
		'resetPromoCode' => 'Clear',
		'duedateAfterRenew' => 'Next Due Date after renewal:',
		'Calculating' => 'Calculating',
		'needPay' => 'Pricing:',
		'originalPrice' => 'Original price:',
		'confirmRenew' => 'Confirm Renew',
		'canNotRenew' => 'Current product type cannot be renewed',
		'AppearError' => 'Error occurred',
		'networkError' => 'Network error',
	],

	'confirm' => [
		'tips' => ['Redirecting to invoices page, if not redirected for a long time，Please', 'Click here', 'to redirect to the invoices page'],
	],

	'errorpage' => [
		'returnClientArea' => 'Return to client area',
		'return' => 'Return',
	],
];