<?php
$RENEWAL_LANG = [
	'addonsName' => '续费管理',
	'errorTips' => [
		'canNotGetUid' => '无法获取到用户ID',
		'canNotGetSid' => '未传入产品ID，请确认产品是否有效',
		'canNotGetBillingCycle' => '未传入付款周期',
		'canNotFindProduct' => '查找不到您的产品，请确认产品是否有效',
		'invoiceUnpaid' => '当前服务还有未支付的账单，请支付后进行续费',
		'CanNotRenewWithThisBillingCycle' => '当前付款周期不允许提前续费',
		'WithOutParam' => '缺少参数，请刷新网页后重试',
		'AutoCancleInvoiceFailed' => '自动取消未支付账单时失败',
		'canNotGetNewPrice' => '无法获取到新价格',
		'canNotGetProductInfo' => '无法获取到产品信息',
		'canNotReductPrice' => '还原续费价格失败',
		'errorCreateInvoice' => '创建续费订单失败',
		'errorCreateInvoiceAfterTry' => '创建续费订单失败，可能是您的服务不支持续费',
		'canNotFindInvoiceInfo' => '无法获取账单信息',
		'canNotEditInvoice' => '无法修改账单价格',
	],
	'PromoCode' => [
		'error' => [
			'canNotFindPromo' => '未找到该优惠码',
			'canNotRenewThisPrice' => '当前续费价格不允许使用优惠码',
			'PromoaAtivityNotStart' => '当前优惠活动还未开始',
			'PromoaAtivityEnd' => '当前优惠活动已经结束',
			'AchieveMaxUse' => '当前优惠码已达到最大使用次数',
			'useOneTime' => '当前优惠码仅能使用一次',
			'thisProductCanNotUse' => '当前产品不适用此优惠码',
			'thisBillingCycleCanNotUse' => '当前付款周期不适用此优惠码',
			'needAnotherProduct' => '您需要拥有指定的产品才能参加该优惠活动',
			'errorPromoType' => '暂时不支持该类型的优惠码',
			'canNotUsePromoWhenMulti' => '多次续费时不允许使用优惠码',
		],
		'tips' => [
			'PromoCode' => '优惠码',
			'discount' => '折扣',
			'oneTimeDiscount' => '一次性折扣',
		],
	],
	'MultiRenew' => '多次续费',
	'PriceChangeTips' => '该产品当前默认付款周期的 <strong>续费价格</strong> 与其 <strong>新购价格</strong> 不同，若您修改付款周期，续费价格将按照其 <strong>新购价格</strong> 计算（包括使用优惠码），一旦生成续费账单将 <strong>无法恢复</strong> 至当前续费价格。',

	'home' => [
		'numberOfProduct' => ['共找到', '个服务'],
		'productName' => '产品名称',
		'domain' => '域名',
		'billingcycle' => '付款周期',
		'amount' => '续费价格',
		'leftduedate' => ['还剩', '天到期'],
		'overdue' => ['产品已逾期', '天'],
		'operation' => '操作',
		'renew' => '续费',
		'canNotFindProduct' => '未找到可续费的产品服务',
		'returnClientArea' => '返回客户中心',
	],

	'renewal' => [
		'productDesc' => '产品信息',
		'productName' => '产品名称: ',
		'billingcycle' => '当前付款周期: ',
		'amount' => '当前续费价格: ',
		'nextduedate' => '当前产品到期时间: ',
		'chooseBillingCycle' => '选择付款周期: ',
		'settingRenewTimes' => '设置续费次数: ',
		'PromoCode' => '优惠码: ',
		'enterPromoTips' => '若您拥有优惠码，请输入',
		'applyPromoCode' => '应用优惠码',
		'resetPromoCode' => '清除优惠码',
		'duedateAfterRenew' => '续费后到期时间: ',
		'Calculating' => '正在计算',
		'needPay' => '应付款: ',
		'originalPrice' => '原价: ',
		'confirmRenew' => '确认续费',
		'canNotRenew' => '当前产品类型无法进行续费',
		'AppearError' => '出现错误',
		'networkError' => '网络错误',
	],

	'confirm' => [
		'tips' => ['正在跳转到账单页面，若长时间未进行跳转，请', '点击这里', '跳转到账单页面'],
	],

	'errorpage' => [
		'returnClientArea' => '返回客户中心',
		'return' => '返回',
	],
];