{literal}
<script>
    function checkUpdate() {
        $.ajax({
            cache: false,
            type: 'POST',
            url: 'addonmodules.php?module=renewal',
            data: {
                action : 'checkUpdate',
            },
            dataType:'json',
            async: true,
            beforeSend: function () {
                $('#newVersionTip').hide();
                $('#newUpdate').hide();
                $('#noUpdate').hide();
                $('#errorUpdate').hide();
                $('#checkButton').html('<i class="fa fa-refresh fa-spin" aria-hidden="true"></i> 正在检查更新');
            },
            success: function (data) {
                if (data.status == 'success') {
                    if (data.version > {/literal}{$modulevars['version']}{literal}) {
                        $('#newVersionTip').show();
                        $('#newUpdate').show();
                        $('#noUpdate').hide();
                        $('#errorUpdate').hide();
                        $('#checkButton').html('检查更新');
                        $('.newUpdateContents').html(data.version + '版本已经发布 <a href="' + data.updateurl + '" target="_blank">' + data.urlname + '</a>');
                    } else {
                        $('#newVersionTip').hide();
                        $('#noUpdate').show();
                        $('#newUpdate').hide();
                        $('#errorUpdate').hide();
                        $('#checkButton').html('检查更新');
                        $('.noUpdateContents').html('当前模块版本为最新版');
                    }
                } else {
                    $('#newVersionTip').hide();
                    $('#noUpdate').hide();
                    $('#newUpdate').hide();
                    $('#errorUpdate').show();
                    $('#checkButton').html('检查更新');
                    $('.errorUpdateContents').html(data.msg);
                }
            },
            error: function() {
                $('#newVersionTip').hide();
                $('#noUpdate').hide();
                $('#newUpdate').hide();
                $('#errorUpdate').show();
                $('#checkButton').html('检查更新');
                $('.errorUpdateContents').html('网络错误');
            }
        });
    }
    $(function(){
        $('#checkButton').click(function() {
            checkUpdate();
        });
        $(".nav-list-sm > li > a").click(function() {
            $("#collapseButton").click();
        });
        checkUpdate();
    });
    var completeFlag = true;
    function promo_create(promoid, sign) {
        swal({
            title: "您确定要允许该优惠码在renewal中使用吗?",
            text: "优惠码的具体内容请前往系统优惠码设置页面进行设置",
            type: "warning",
            showCancelButton: true,
            closeOnConfirm: false,
            cancelButtonText: "取消",
            confirmButtonText: "允许",
        },
        function(){
            if(!completeFlag) {
                return;
            }
            swal({ 
                title: "请输入价格倍率", 
                text: "价格倍率为可选设置，默认不限制",
                type: "input", 
                showCancelButton: true, 
                showLoaderOnConfirm: true,
                closeOnConfirm: false, 
                animation: "slide-from-top", 
                inputPlaceholder: "价格倍率,留空不限制",
                cancelButtonText: "取消",
                confirmButtonText: "确认",
            },
            function(inputValue){
                if (inputValue === false) {
                    return false;
                }
                $.ajax({
                    method: "POST",
                    url: 'addonmodules.php?module=renewal',
                    data : {
                        action : 'create',
                        promoid : promoid,
                        multi : inputValue,
                        sign : sign
                    },
                    dataType: 'json',
                    cache: false,
                    html: true,
                    async: true,
                    beforeSend:function() {
                        completeFlag = false;
                    },
                    complete:function() {
                        completeFlag = true;
                    },
                    success: function(data) {
                        if(data.status=='success') {
                            swal({
                                title: "当前优惠码可在renewal续费插件中使用",
                                html: true,
                                confirmButtonText: "完成",
                                type: "success"
                            },
                            function(){
                                window.location.reload();
                            });
                        } else if (data.status=='error') {
                            swal({
                                title: "出现错误",
                                text: data.msg,
                                type: "error"
                            });
                        };
                    },
                    error:function() {
                        swal("服务器忙，请稍后重试");
                    }
                });
            });
        });
    }
    var completeFlag = true;
    function promo_delete(promoid, sign) {
        swal({
            title: "您确定要禁用该优惠码在renewal中的使用吗?",
            type: "warning",
            showCancelButton: true,
            html: true,
            closeOnConfirm: false,
            showLoaderOnConfirm: true,
            cancelButtonText: "取消",
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "禁用",
        },
        function(){
            if(!completeFlag) {
                return;
            }
            $.ajax({
                method: "POST",
                url: "addonmodules.php?module=renewal",
                data: {action: 'delete', promoid: promoid, sign: sign},
                dataType: 'json',
                cache: false,
                html: true,
                async: true,
                beforeSend:function() {
                    completeFlag = false;
                },
                complete:function() {
                    completeFlag = true;
                },
                success: function(data) {
                    if(data.status=='success') {
                        swal({
                            title: "优惠码禁用成功",
                            confirmButtonText: "完成",
                            type: "success"
                        },
                        function(){
                            window.location.reload();
                        });
                    } else if (data.status=='error') {
                        swal({
                            title: "出现错误",
                            text: data.msg,
                            type: "error"
                        });
                    };
                },
                error:function() {
                    swal("服务器忙，请稍后重试");
                }
            });
        });
    }
    var completeFlag = true;
    function promo_edit(promoid, sign) {
        swal({ 
            title: "请输入价格倍率", 
            text: "价格倍率为可选设置，默认不限制",
            type: "input", 
            showCancelButton: true,
            html: true,
            closeOnConfirm: false,
            showLoaderOnConfirm: true,
            animation: "slide-from-top", 
            inputPlaceholder: "价格倍率,留空不限制",
            cancelButtonText: "取消",
            confirmButtonText: "确认",
        },
        function(inputValue){
            if (inputValue === false) {
                return false;
            }
            if(!completeFlag) {
                return;
            }
            $.ajax({
                method: "POST",
                url: "addonmodules.php?module=renewal",
                data: {action: 'create', promoid: promoid, multi: inputValue, sign: sign},
                dataType: 'json',
                cache: false,
                html: true,
                async: true,
                beforeSend:function() {
                    completeFlag = false;
                },
                complete:function() {
                    completeFlag = true;
                },
                success: function(data) {
                    if(data.status=='success') {
                        swal({
                            title: "价格倍率修改成功",
                            confirmButtonText: "完成",
                            type: "success"
                        },
                        function(){
                            window.location.reload();
                        });
                    } else if (data.status=='error') {
                        swal({
                            title: "出现错误",
                            text: data.msg,
                            type: "error"
                        });
                    };
                },
                error:function() {
                    swal("服务器忙，请稍后重试");
                }
            });
        });
    }
    $('#table').bootstrapTable({
        ajax : function (request) {
            $.ajax({
                cache: false,
                type: 'POST',
                url: '{/literal}{$modulevars['modulelink']}{literal}',
                data: {
                    action : 'getData',
                },
                dataType:'json',
                async: true,
                success : function (data) {
                    if (data.status == 'success') {
                        request.success({
                            row : data.msg
                        });
                        $('#table').bootstrapTable('load', data.msg);
                    } else {
                        $('#table').bootstrapTable('removeAll');
                        $('#table').bootstrapTable('hideLoading');
                        $('#table').bootstrapTable('load', [{'old_amount' : '出现错误 ' + data.msg}]);
                    }
                },
                error:function(){
                    $('#table').bootstrapTable('removeAll');
                    $('#table').bootstrapTable('hideLoading');
                    $('#table').bootstrapTable('load', [{'old_amount' : '网络错误，无法加载表格内容'}]);
                }
            });
        },
        toolbar: '#toolbar',
        pagination: true,
        pageList: '[10, 25, 50, 100, 200]',
        pageSize: '25',
        paginationLoop: false,
        showPaginationSwitch: true,
        search: true,
        searchOnEnterKey: true,
        trimOnSearch: true,
        showRefresh: true,
        striped: true,
        showColumns: true,
        showExport: true,
        exportDataType: 'all',
        exportOptions:{
            fileName: '续费记录',
            worksheetName: 'sheet1',
        },
        columns: [{
            checkbox: true
        }, {
            field: 'id',
            title: 'ID'
        }, {
            field: 'userDetial',
            title: '用户详情'
        }, {
            field: 'sid',
            title: '产品ID'
        }, {
            field: 'product',
            title: '产品信息'
        }, {
            field: 'invoiceid',
            title: '账单ID'
        }, {
            field: 'status',
            title: '账单状态'
        }, {
            field: 'promocode',
            title: '使用的优惠码'
        }, {
            field: 'old_amount',
            title: '先前的续费价格'
        }, {
            field: 'new_amount',
            title: '本次续费的价格'
        }, {
            field: 'old_billingcycle',
            title: '续费前的付款周期'
        }, {
            field: 'new_billingcycle',
            title: '续费后的付款周期'
        }, {
            field: 'old_nextduedate',
            title: '续费前到期日期'
        }, {
            field: 'new_nextduedate',
            title: '续费后到期日期'
        }, {
            field: 'times',
            title: '续费次数'
        }, {
            field: 'credit',
            title: '续费前的账号余额'
        }, {
            field: 'updated_at',
            title: '创建时间'
        }],
    });
    function delData() {
        var rows = $("#table").bootstrapTable('getSelections');
        if (rows.length == 0) {
            swal("请先选择要删除的记录", "", "error");
            return;
        }
        var id = '';
        for (var i = 0; i < rows.length; i++) {
            id += rows[i]['id'] + "|";
        }
        id = id.substring(0, id.length - 1);
        swal({
            title: "您确定要删除选中的记录吗?",
            text: "删除操作不可逆",
            type: "warning",
            showCancelButton: true,
            html: true,
            closeOnConfirm: false,
            showLoaderOnConfirm: true,
            cancelButtonText: "取消",
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "删除",
        },
        function(){
            if(!completeFlag) {
                return;
            }

            $.ajax({
                cache: false,
                type: 'GET',
                url: '{/literal}{$modulevars['modulelink']}{literal}',
                data: {
                    action : 'delData',
                    select : id,
                },
                dataType:'json',
                async: true,
                success: function (data) {
                    if (data.status == 'success') {
                        swal({
                            title: "选中记录删除成功",
                            text: "共删除 " + data.rows + " 条记录",
                            confirmButtonText: "完成",
                            type: "success"
                        },
                        function(){
                            $('#table').bootstrapTable('refreshOptions', true);
                        });
                    } else {
                        swal({
                            title: "选中记录删除失败",
                            text: data.msg,
                            confirmButtonText: "完成",
                            type: "error"
                        });
                    }
                },
                error: function () {
                    swal({
                        title: "网络错误",
                        confirmButtonText: "完成",
                        type: "error"
                    });
                }
            });
        });
    }
</script>
{/literal}