<link rel="stylesheet" href="{$systemurl}modules/addons/renewal/library/templates/assets/css/home.css?v={$versionHash}">
<link rel="stylesheet" href="{$systemurl}modules/addons/renewal/library/templates/assets/fontawesome/css/all.min.css?v={$versionHash}">
<div id="renewal">
    {if !empty($templates['product'])}
        <div class="row">
            <div class="col-xs-12 col-12 col-sm-12">
                <div class="renew-title">
                    <div class="home-title">{$RENEWAL_LANG['addonsName']}</div>
                    <div class="product-nums">{$RENEWAL_LANG['home']['numberOfProduct'][0]} {$templates['product']|@count} {$RENEWAL_LANG['home']['numberOfProduct'][1]}</div>
                </div>
            </div>
            {foreach $templates['product'] as $key => $value}
                <div class="col-xs-12 col-12 col-sm-6 col-md-4">
                    <div class="product-box">
                        <div class="box-top">
                            <div class="product-info">
                                <div class="product-title">
                                    {$value['productname']}
                                </div>
                                {if !empty($value['domain'])}
                                <div class="product-domain">
                                    {$value['domain']}
                                </div>
                                {/if}
                            </div>
                            <div class="product-cycle">
                                {$value['billingcycle']}
                            </div>
                        </div>
                        <div class="product-nextduo">
                        	{if $value['timeLeft'] gte 0}
                            <div class="product-duedate">
                                <div class="product-nextduotime">
                                    <i class="fas fa-calendar-alt"></i>{$value['nextduedate']}
                                </div>
                                <div class="circie-point"></div>
                                    {$RENEWAL_LANG['home']['leftduedate']['0']}
                                <div class="product-timeleft">
                                	{$value['timeLeft']}
                                </div>
                                <div class="product-nextduotime">
                                    {$RENEWAL_LANG['home']['leftduedate']['1']}
                                </div>
                            </div>
                            {else}
                            <div class="product-overdue">
                                <div class="product-nextduotime">
                                    <i class="fas fa-exclamation-circle"></i>{$RENEWAL_LANG['home']['overdue']['0']}
                                </div>
                                <div class="product-timeleft">{$value['timeLeft'] * -1}</div>
                                <div class="product-nextduotime">
                                    {$RENEWAL_LANG['home']['overdue']['1']}
                                </div>
                            </div>
                            {/if}
                        </div>
                        <div class="box-bottom">
                            <div class="renew-price">
                                {$value['amount']}
                            </div>
                            <div class="renew-btn">
                                <button type="button" class="btn btn-sm btn-renew" onclick="window.location='{$systemurl}index.php?m=renewal&action=renew&sid={$value['sid']}'"><i class="md md-account-balance-wallet"></i> {$RENEWAL_LANG['home']['renew']}</a>
                            </div>
                        </div>
                    </div>
                </div>
            {/foreach} 
        </div>
    {else}
        <div class="error-msg">
            <i class="fa fa-exclamation-triangle warning-img" aria-hidden="true"></i>
            <div class="error-text">{$RENEWAL_LANG['home']['canNotFindProduct']}</div>
            <a href="clientarea.php">
                <button class="btn btn-default btn-md"><i class="fa fa-angle-left" aria-hidden="true"></i> {$RENEWAL_LANG['home']['returnClientArea']}</button>
            </a>
        </div>
{/if}
</div>