<div role="tabpanel" class="tab-pane active" id="home">
    <div class="row" id="renewal">
        {if !empty($templates['renewalPromo']) or !empty($templates['unReNewPromo'])}
        <div class="col-xs-12 col-sm-12">
            <div class="alert alert-warning alert-dismissible" role="alert">
                <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span> 当前页面只能控制优惠码能否在renewal续费插件中使用，具体可使用的产品，周期等，请前往 <a href="configpromotions.php">系统优惠码</a> 设置页面进行设置
            </div>
            <div class="alert alert-info alert-dismissible" role="alert">
                <span class="glyphicon glyphicon-info-sign" aria-hidden="true"></span> <strong>价格倍率</strong> 指用户续费的价格 / 当前产品的实际售价<br />例如用户当前续费价格为50元，当前产品实际价格为100元，设置价格倍率为0.5时，用户将不被允许使用该优惠码
            </div>
        </div>
        {/if}
        {if !empty($templates['renewalPromo'])}
        <div>
            <span class="badge">共找到 {$templates['renewalPromo']|@count} 个优惠码</span>
            <div class="home-title">允许在续费中使用的优惠码</div>
        </div>
        <div class="home-body">
            <table class="table home-table">
                <thead>
                    <tr>
                        <th>优惠码ID</th>
                        <th>优惠码</th>
                        <th>优惠码类型</th>
                        <th>价值</th>
                        <th>价格倍率</th>
                        <th>开始时间</th>
                        <th>结束时间</th>
                        <th>操作</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach $templates['renewalPromo'] as $key => $value}
                        <tr>
                        <td>{$value['id']}</td>
                        <td>{$value['code']}</td>
                        <td>{$value['type']}</td>
                        <td>{$value['value']}</td>
                        <td>{if $value['multi'] eq '0' or $value['multi'] eq '0.00'}未限制{else}{$value['multi']}{/if}</td>
                        <td>{if $value['startdate'] eq '0000-00-00'}-{else}{$value['startdate']}{/if}</td>
                        <td>{if $value['expirationdate'] eq '0000-00-00'}-{else}{$value['expirationdate']}{/if}</td>
                        <td>
                            <div class="btn-group btn-group-xs" role="group" aria-label="Extra-small button group">
                                <button class="btn btn-xs btn-primary autoset" onClick="javascript:promo_edit('{$value['id']}', '{$value['sign']}');">修改价格倍率</button>
                                <button class="btn btn-xs btn-danger autohides" onClick="javascript:promo_delete('{$value['id']}', '{$value['sign']}');">删除</button>
                            </div>
                            </td>
                        </tr>
                    {/foreach}                
                </tbody>
            </table>
        </div> 
        {/if}
        {if !empty($templates['unReNewPromo'])}
        <div>
            <span class="badge">共找到 {$templates['unReNewPromo']|@count} 个优惠码</span>
            <div class="home-title">不允许在续费中使用的优惠码</div>
        </div>
        <div class="home-body">
            <table class="table home-table">
                <thead>
                    <tr>
                        <th>优惠码ID</th>
                        <th>优惠码</th>
                        <th>优惠码类型</th>
                        <th>价值</th>
                        <th>开始时间</th>
                        <th>结束时间</th>
                        <th>操作</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach $templates['unReNewPromo'] as $key => $value}
                        <tr>
                            <td>{$value['id']}</td>
                            <td>{$value['code']}</td>
                            <td>{$value['type']}</td>
                            <td>{$value['value']}</td>
                            <td>{if $value['startdate'] eq '0000-00-00'}-{else}{$value['startdate']}{/if}</td>
                            <td>{if $value['expirationdate'] eq '0000-00-00'}-{else}{$value['expirationdate']}{/if}</td>
                            <td><button class="btn btn-xs btn-success" onClick="javascript:promo_create('{$value['id']}', '{$value['sign']}');">允许续费时使用</button></td>
                        </tr>
                    {/foreach}                
                </tbody>
            </table>
        </div> 
        {/if}
        {if empty($templates['renewalPromo']) and empty($templates['unReNewPromo'])}
        <div class="error-msg">
                <i class="fa fa-exclamation-triangle warning-img" aria-hidden="true"></i>
                <div class="error-text">您目前还未设置有效的优惠码</div>
                <a href="configpromotions.php">
                    <button class="btn btn-default btn-md"><i class="fa fa-plus" aria-hidden="true"></i> 添加优惠码</button>
                </a>
            </div>
        {/if}
    </div>
</div>